##########################################
# MANGOS Ai Playerbot Configuration file #
##########################################

[AiPlayerbotConf]
ConfVersion=2010102201

# Enable or disable AI Playerbot
AiPlayerbot.Enabled = 1

# Warrior
AiPlayerbot.RandomClassSpecProbability.1.0 = 20
AiPlayerbot.RandomClassSpecProbability.1.1 = 30
AiPlayerbot.RandomClassSpecProbability.1.2 = 50
# Paladin
AiPlayerbot.RandomClassSpecProbability.2.0 = 20
AiPlayerbot.RandomClassSpecProbability.2.1 = 50
AiPlayerbot.RandomClassSpecProbability.2.2 = 30
# Hunter
AiPlayerbot.RandomClassSpecProbability.3.0 = 25
AiPlayerbot.RandomClassSpecProbability.3.1 = 50
AiPlayerbot.RandomClassSpecProbability.3.2 = 25
# Rogue
AiPlayerbot.RandomClassSpecProbability.4.0 = 40
AiPlayerbot.RandomClassSpecProbability.4.1 = 50
AiPlayerbot.RandomClassSpecProbability.4.2 = 10
# Priest
AiPlayerbot.RandomClassSpecProbability.5.0 = 40
AiPlayerbot.RandomClassSpecProbability.5.1 = 40
AiPlayerbot.RandomClassSpecProbability.5.2 = 20
# Shaman
AiPlayerbot.RandomClassSpecProbability.7.0 = 10
AiPlayerbot.RandomClassSpecProbability.7.1 = 45
AiPlayerbot.RandomClassSpecProbability.7.2 = 45
# Mage
AiPlayerbot.RandomClassSpecProbability.8.0 = 20
AiPlayerbot.RandomClassSpecProbability.8.1 = 10
AiPlayerbot.RandomClassSpecProbability.8.2 = 70
# Warlock
AiPlayerbot.RandomClassSpecProbability.9.0 = 33
AiPlayerbot.RandomClassSpecProbability.9.1 = 33
AiPlayerbot.RandomClassSpecProbability.9.2 = 33
# Druid
AiPlayerbot.RandomClassSpecProbability.11.0 = 10
AiPlayerbot.RandomClassSpecProbability.11.1 = 45
AiPlayerbot.RandomClassSpecProbability.11.2 = 45

#
# All other parameters are optional but can be changed by uncommenting them here
#

# Prefix for bot chat commands (e.g. follow, stay)
AiPlayerbot.CommandPrefix = ~

# Max AI iterations per tick
#AiPlayerbot.IterationsPerTick = 10

# Allow/deny bots from your guild
#AiPlayerbot.AllowGuildBots = 1

# Delay between two short-time spells cast
#AiPlayerbot.GlobalCooldown = 500

# Max wait time when moving
#AiPlayerbot.MaxWaitForMove = 5000

# Delay between two bot actions
#AiPlayerbot.ReactDelay = 100

# Distances
#AiPlayerbot.SightDistance = 50.0
#AiPlayerbot.SpellDistance = 30.0
#AiPlayerbot.ReactDistance = 150.0
#AiPlayerbot.GrindDistance = 100.0
#AiPlayerbot.LootDistance = 20.0
#AiPlayerbot.FleeDistance = 20.0
#AiPlayerbot.TooCloseDistance = 7.0
#AiPlayerbot.MeleeDistance = 1.0
#AiPlayerbot.FollowDistance = 1.5
#AiPlayerbot.WhisperDistance = 6000.0
#AiPlayerbot.ContactDistance = 0.5

# Bot can flee for enemy
#AiPlayerbot.FleeingEnabled = 1

# Health/Mana levels
#AiPlayerbot.CriticalHealth = 25
#AiPlayerbot.LowHealth = 45
#AiPlayerbot.MediumHealth = 65
#AiPlayerbot.AlmostFullHealth = 85
#AiPlayerbot.LowMana = 15
#AiPlayerbot.MediumMana = 40

# Enable random bot system
#AiPlayerbot.RandomBotAutologin = 1

# Random bot default strategies (applied after defaults)
#AiPlayerbot.RandomBotCombatStrategies = +dps,+attack weak
#AiPlayerbot.RandomBotNonCombatStrategies = +grind,+move random,+loot

# Create random bot characters automatically
#AiPlayerbot.RandomBotAutoCreate = 1

# Random bot count
#AiPlayerbot.MinRandomBots = 50
#AiPlayerbot.MaxRandomBots = 200
#AiPlayerbot.RandomBotMinLevel = 1
#AiPlayerbot.RandomBotMaxLevel = 255 (ignored if more than MaxPlayerLevel mangosd.conf value)

# Accounts to create for random bots
#AiPlayerbot.RandomBotAccountPrefix = rndbot
#AiPlayerbot.RandomBotAccountCount = 50

# Delete all random bot accounts
#AiPlayerbot.DeleteRandomBotAccounts = 0

# Maps to teleport random bots
#AiPlayerbot.RandomBotMaps = 0,1,530,571

# Change random bot has lower gear
#AiPlayerbot.RandomGearLoweringChance = 0.15

# Chance random bot has max level on first randomize
#AiPlayerbot.RandomBotMaxLevelChance = 0.4

# Quest items to leave (do not destroy)
#AiPlayerbot.RandomBotQuestItems = 6948,5175,5176,5177,5178

# Spells every random bot will learn on randomize (54197 - cold weather flying)
#AiPlayerbot.RandomBotSpellIds = 54197

# Enable LFG for random bots
#AiPlayerbot.RandomBotJoinLfg = 1

# Level diff between random bots and nearby creatures for random teleports
AiPlayerbot.RandomBotTeleLevel = 3

# Intervals
#AiPlayerbot.RandomBotUpdateInterval = 60
#AiPlayerbot.RandomBotCountChangeMinInterval = 86400
#AiPlayerbot.RandomBotCountChangeMaxInterval = 259200
#AiPlayerbot.MinRandomBotInWorldTime = 7200
#AiPlayerbot.MaxRandomBotInWorldTime = 1209600
#AiPlayerbot.MinRandomBotRandomizeTime = 7200
#AiPlayerbot.MaxRandomRandomizeTime = 1209600
#AiPlayerbot.MinRandomBotsPerInterval = 50
#AiPlayerbot.MaxRandomBotsPerInterval = 100
#AiPlayerbot.MinRandomBotsPriceChangeInterval = 7200
#AiPlayerbot.MaxRandomBotsPriceChangeInterval = 172800

# Log on all random bots on start
#AiPlayerbot.RandomBotLoginAtStartup = 1

# How far random bots are teleported after death
#AiPlayerbot.RandomBotTeleportDistance = 1000

# Debug switches
#AiPlayerbot.SpellDump = 0
#AiPlayerbot.LogInGroupOnly = 1
#AiPlayerbot.LogValuesPerTick = 0
#AiPlayerbot.RandomChangeMultiplier = 1

# Command server port, 0 - disabled
#AiPlayerbot.CommandServerPort = 8888
